From 9ed1c960fe9ea5ac37fc88b4e6088bc3f2387cb4 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 22 Jun 2021 09:06:28 +0200
Subject: [PATCH v1 5/5] Fix indentation in generated output

---
 src/backend/utils/mb/Unicode/convutils.pm | 66 +++++++++++------------
 1 file changed, 33 insertions(+), 33 deletions(-)

diff --git a/src/backend/utils/mb/Unicode/convutils.pm b/src/backend/utils/mb/Unicode/convutils.pm
index 9a230e6dfe..4182910f94 100644
--- a/src/backend/utils/mb/Unicode/convutils.pm
+++ b/src/backend/utils/mb/Unicode/convutils.pm
@@ -177,7 +177,7 @@ sub print_from_utf8_combined_map
 	{
 		my $comment;
 
-		printf $out "  {0x%08x, 0x%08x, 0x%04x},",
+		printf $out "\t{0x%08x, 0x%08x, 0x%04x},",
 		  $i->{utf8}, $i->{utf8_second}, $i->{code};
 		if ($verbose >= 2)
 		{
@@ -209,7 +209,7 @@ sub print_to_utf8_combined_map
 	{
 		my $comment;
 
-		printf $out "  {0x%04x, 0x%08x, 0x%08x},",
+		printf $out "\t{0x%04x, 0x%08x, 0x%08x},",
 		  $i->{code}, $i->{utf8}, $i->{utf8_second};
 
 		if ($verbose >= 2)
@@ -540,46 +540,46 @@ sub print_radix_table
 	printf $out "{\n";
 	if ($datatype eq "uint16")
 	{
-		print $out "  ${tblname}_table,\n";
-		print $out "  NULL, /* 32-bit table not used */\n";
+		print $out "\t${tblname}_table,\n";
+		print $out "\tNULL, /* 32-bit table not used */\n";
 	}
 	if ($datatype eq "uint32")
 	{
-		print $out "  NULL, /* 16-bit table not used */\n";
-		print $out "  ${tblname}_table,\n";
+		print $out "\tNULL, /* 16-bit table not used */\n";
+		print $out "\t${tblname}_table,\n";
 	}
 	printf $out "\n";
-	printf $out "  0x%04x, /* offset of table for 1-byte inputs */\n",
+	printf $out "\t0x%04x, /* offset of table for 1-byte inputs */\n",
 	  $b1root;
-	printf $out "  0x%02x, /* b1_lower */\n", $b1_lower;
-	printf $out "  0x%02x, /* b1_upper */\n", $b1_upper;
+	printf $out "\t0x%02x, /* b1_lower */\n", $b1_lower;
+	printf $out "\t0x%02x, /* b1_upper */\n", $b1_upper;
 	printf $out "\n";
-	printf $out "  0x%04x, /* offset of table for 2-byte inputs */\n",
+	printf $out "\t0x%04x, /* offset of table for 2-byte inputs */\n",
 	  $b2root;
-	printf $out "  0x%02x, /* b2_1_lower */\n", $b2_1_lower;
-	printf $out "  0x%02x, /* b2_1_upper */\n", $b2_1_upper;
-	printf $out "  0x%02x, /* b2_2_lower */\n", $b2_2_lower;
-	printf $out "  0x%02x, /* b2_2_upper */\n", $b2_2_upper;
+	printf $out "\t0x%02x, /* b2_1_lower */\n", $b2_1_lower;
+	printf $out "\t0x%02x, /* b2_1_upper */\n", $b2_1_upper;
+	printf $out "\t0x%02x, /* b2_2_lower */\n", $b2_2_lower;
+	printf $out "\t0x%02x, /* b2_2_upper */\n", $b2_2_upper;
 	printf $out "\n";
-	printf $out "  0x%04x, /* offset of table for 3-byte inputs */\n",
+	printf $out "\t0x%04x, /* offset of table for 3-byte inputs */\n",
 	  $b3root;
-	printf $out "  0x%02x, /* b3_1_lower */\n", $b3_1_lower;
-	printf $out "  0x%02x, /* b3_1_upper */\n", $b3_1_upper;
-	printf $out "  0x%02x, /* b3_2_lower */\n", $b3_2_lower;
-	printf $out "  0x%02x, /* b3_2_upper */\n", $b3_2_upper;
-	printf $out "  0x%02x, /* b3_3_lower */\n", $b3_3_lower;
-	printf $out "  0x%02x, /* b3_3_upper */\n", $b3_3_upper;
+	printf $out "\t0x%02x, /* b3_1_lower */\n", $b3_1_lower;
+	printf $out "\t0x%02x, /* b3_1_upper */\n", $b3_1_upper;
+	printf $out "\t0x%02x, /* b3_2_lower */\n", $b3_2_lower;
+	printf $out "\t0x%02x, /* b3_2_upper */\n", $b3_2_upper;
+	printf $out "\t0x%02x, /* b3_3_lower */\n", $b3_3_lower;
+	printf $out "\t0x%02x, /* b3_3_upper */\n", $b3_3_upper;
 	printf $out "\n";
-	printf $out "  0x%04x, /* offset of table for 3-byte inputs */\n",
+	printf $out "\t0x%04x, /* offset of table for 3-byte inputs */\n",
 	  $b4root;
-	printf $out "  0x%02x, /* b4_1_lower */\n", $b4_1_lower;
-	printf $out "  0x%02x, /* b4_1_upper */\n", $b4_1_upper;
-	printf $out "  0x%02x, /* b4_2_lower */\n", $b4_2_lower;
-	printf $out "  0x%02x, /* b4_2_upper */\n", $b4_2_upper;
-	printf $out "  0x%02x, /* b4_3_lower */\n", $b4_3_lower;
-	printf $out "  0x%02x, /* b4_3_upper */\n", $b4_3_upper;
-	printf $out "  0x%02x, /* b4_4_lower */\n", $b4_4_lower;
-	printf $out "  0x%02x  /* b4_4_upper */\n", $b4_4_upper;
+	printf $out "\t0x%02x, /* b4_1_lower */\n", $b4_1_lower;
+	printf $out "\t0x%02x, /* b4_1_upper */\n", $b4_1_upper;
+	printf $out "\t0x%02x, /* b4_2_lower */\n", $b4_2_lower;
+	printf $out "\t0x%02x, /* b4_2_upper */\n", $b4_2_upper;
+	printf $out "\t0x%02x, /* b4_3_lower */\n", $b4_3_lower;
+	printf $out "\t0x%02x, /* b4_3_upper */\n", $b4_3_upper;
+	printf $out "\t0x%02x, /* b4_4_lower */\n", $b4_4_lower;
+	printf $out "\t0x%02x  /* b4_4_upper */\n", $b4_4_upper;
 	print $out "};\n";
 	print $out "\n";
 	print $out "static const $datatype ${tblname}_table[$tblsize] =\n";
@@ -589,7 +589,7 @@ sub print_radix_table
 	foreach my $seg (@segments)
 	{
 		printf $out "\n";
-		printf $out "  /*** %s - offset 0x%05x ***/\n", $seg->{header}, $off;
+		printf $out "\t/*** %s - offset 0x%05x ***/\n", $seg->{header}, $off;
 		printf $out "\n";
 
 		for (my $i = $seg->{min_idx}; $i <= $seg->{max_idx};)
@@ -597,7 +597,7 @@ sub print_radix_table
 
 			# Print the next line's worth of values.
 			# XXX pad to begin at a nice boundary
-			printf $out "  /* %02x */ ", $i;
+			printf $out "\t/* %02x */", $i;
 			for (my $j = 0;
 				$j < $vals_per_line && $i <= $seg->{max_idx}; $j++)
 			{
@@ -617,7 +617,7 @@ sub print_radix_table
 		if ($seg->{overlaid_trail_zeros})
 		{
 			printf $out
-			  "    /* $seg->{overlaid_trail_zeros} trailing zero values shared with next segment */\n";
+			  "\t/* $seg->{overlaid_trail_zeros} trailing zero values shared with next segment */\n";
 		}
 	}
 
-- 
2.32.0

